## cantor 4.8.90

=== src/lib/test/CMakeLists.txt ===
include_directories(${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/..)

set(cantortest_SRCS
  backendtest.cpp
)

kde4_add_library( cantortest SHARED ${cantortest_SRCS} )
target_link_libraries( cantortest
  cantorlibs
  ${KDE4_KDECORE_LIBS}
  ${QT_QTTEST_LIBRARY}
)

## cantor 4.7.1

=== debian/changelog ===
cantor (4:4.7.1-0ubuntu2) oneiric; urgency=low

  * No-change rebuild so translations aren't stripped from .desktop
    files anymore.

 -- Felix Geyer <debfx-pkg@fobos.de>  Thu, 15 Sep 2011 22:52:05 +0200

cantor (4:4.7.1-0ubuntu1) oneiric; urgency=low

  * New upstream release
    - Bump kde-sc-dev-latest build dependency to 4:4.7.1

 -- Jonathan Kolberg <bulldog98@kubuntu-de.org>  Fri, 09 Sep 2011 00:53:49 -0400

cantor (4:4.7.0-0ubuntu1) oneiric; urgency=low

  * New upstream release 

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 23 Jul 2011 01:27:31 +0200

cantor (4:4.6.90+repack1-0ubuntu1) oneiric; urgency=low

  * New upstream release candidate
  * Update package for split tarball
  * Disable cantor-backend-kalgebra which isn't built
  * Repack to add missing COPYING files

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 30 Jun 2011 07:55:47 +0200

=== debian/control ===
Source: cantor
Section: math
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.7.1),
 cmake,
 debhelper (>= 7.3.16),
 pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.6),
 pkg-config,
 libspectre-dev,
 libx11-dev,
 kalgebra
# r-base-core
Standards-Version: 3.9.2
Homepage: http://edu.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/cantor
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/cantor

Package: cantor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
#Recommends: cantor-backend-kalgebra
Suggests: cantor-backend-maxima, cantor-backend-sage,
 cantor-backend-octave
# cantor-backend-r
Description: interface for mathematical applications
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant KDE-integrated worksheet interface. It
 provides dialogs to assist with common tasks and allows you to share your
 worksheets with others.
 .
 Cantor supports various mathematical applications as backends (provided in
 external packages):
#  * KAlgebra (cantor-backend-kalgebra)
  * Maxima Computer Algebra System (cantor-backend-maxima)
#  * R Project for Statistical Computing (cantor-backend-r)
  * Sage Mathematics Software (cantor-backend-sage)
  * Octave (cantor-backend-octave)
 .
 This package is part of the KDE education module.

#Package: cantor-backend-kalgebra
#Architecture: any
#Depends: ${shlibs:Depends}, ${misc:Depends}, kalgebra
#Description: KAlgebra backend for Cantor
# Cantor is an application to allow you to you use your favorite mathematical
# applications from within an elegant KDE-integrated worksheet interface. It
# provides dialogs to assist with common tasks and allows you to share your
# worksheets with others.
# .
# This package provides the backend for using KAlgebra
# (http://edu.kde.org/kalgebra) in Cantor.
# .
# This package is part of the KDE education module.

Package: cantor-backend-maxima
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, maxima
Description: Maxima backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant KDE-integrated worksheet interface. It
 provides dialogs to assist with common tasks and allows you to share your
 worksheets with others.
 .
 This package provides the backend for using the Maxima Computer Algebra System
 (http://maxima.sourceforge.net) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-octave
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, octave
Description: Octave backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant KDE-integrated worksheet interface. It
 provides dialogs to assist with common tasks and allows you to share your
 worksheets with others.
 .
 This package provides the backend for using the GNU Octave language for
 numerical computations (http://www.octave.org/) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-sage
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Sage backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant KDE-integrated worksheet interface. It
 provides dialogs to assist with common tasks and allows you to share your
 worksheets with others.
 .
 This package provides the backend for using the Sage Mathematics Software
 (http://www.sagemath.org) in Cantor.
 .
 This package is part of the KDE education module.

#Package: cantor-backend-r
#Architecture: any
#Depends: ${shlibs:Depends}, ${misc:Depends}, r-base-core
#Suggests: r-base-html
#Description: R backend for Cantor
# Cantor is an application to allow you to you use your favorite mathematical
# applications from within an elegant KDE-integrated worksheet interface. It
# provides dialogs to assist with common tasks and allows you to share your
# worksheets with others.
# .
# This package provides the backend for using the R Project for Statistical
# Computing (http://www.r-project.org) in Cantor.
# .
# This package is part of the KDE education module.

Package: cantor-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${misc:Depends}, cantor (= ${binary:Version})
Breaks: kdeedu-dbg (<< 4:4.6.80)
Replaces: kdeedu-dbg (<< 4:4.6.80)
Description: debugging symbols for cantor
 This package contains debugging files used to investigate problems with
 binaries included in cantor.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk
.PHONY: override_dh_auto_test

override_dh_makeshlibs:
	$(overridden_command) -V -- -c0

override_dh_shlibdeps:
	$(overridden_command) $(patsubst %,-p%,$(filter lib%,$(shell dh_listpackages))) -- -xkde-runtime
	$(overridden_command) --remaining-packages

override_dh_strip:
	$(overridden_command) --dbg-package=cantor-dbg

## cantor 4.7.2

=== debian/changelog ===
cantor (4:4.7.2-1) experimental; urgency=low

  * Initial release. Start from the Ubuntu packaging, thanks!

  [ Pino Toscano ]
  * cantor: recommend texlive-latex-base and texlive-binaries for the
    `latex` and `dvips` commands, used to pretty-print formulas.
    (Closes: #601296)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 03 Dec 2011 10:46:14 -0300

=== debian/control ===
Source: cantor
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: José Manuel Santamaría Lema <panfaust@gmail.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.7.2),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.7),
 pkg-config,
 libspectre-dev,
 kalgebra-dev,
 r-base-core,
 libblas3gf,
 liblapack3gf
Standards-Version: 3.9.2
Homepage: http://edu.kde.org/
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/cantor.git
Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/cantor.git

Package: cantor
Architecture: any
Section: math
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: cantor-backend-kalgebra, texlive-latex-base, texlive-binaries
Suggests: cantor-backend-maxima, cantor-backend-r, cantor-backend-sage,
 cantor-backend-octave
Description: interface for mathematical applications
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant KDE-integrated worksheet interface. It
 provides dialogs to assist with common tasks and allows you to share your
 worksheets with others.
 .
 Cantor supports various mathematical applications as backends (provided in
 external packages):
  * KAlgebra (cantor-backend-kalgebra)
  * Maxima Computer Algebra System (cantor-backend-maxima)
  * R Project for Statistical Computing (cantor-backend-r)
  * Sage Mathematics Software (cantor-backend-sage)
  * Octave (cantor-backend-octave)
 .
 This package is part of the KDE education module.

Package: cantor-backend-kalgebra
Architecture: any
Section: math
Depends: ${shlibs:Depends}, ${misc:Depends}, kalgebra
Description: KAlgebra backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant KDE-integrated worksheet interface. It
 provides dialogs to assist with common tasks and allows you to share your
 worksheets with others.
 .
 This package provides the backend for using KAlgebra
 (http://edu.kde.org/kalgebra) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-maxima
Architecture: any
Section: math
Depends: ${shlibs:Depends}, ${misc:Depends}, maxima
Description: Maxima backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant KDE-integrated worksheet interface. It
 provides dialogs to assist with common tasks and allows you to share your
 worksheets with others.
 .
 This package provides the backend for using the Maxima Computer Algebra System
 (http://maxima.sourceforge.net) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-octave
Architecture: any
Section: math
Depends: ${shlibs:Depends}, ${misc:Depends}, octave
Description: Octave backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant KDE-integrated worksheet interface. It
 provides dialogs to assist with common tasks and allows you to share your
 worksheets with others.
 .
 This package provides the backend for using the GNU Octave language for
 numerical computations (http://www.octave.org/) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-r
Architecture: any
Section: math
Depends: ${shlibs:Depends}, ${misc:Depends}, r-base-core
Suggests: r-base-html
Description: R backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant KDE-integrated worksheet interface. It
 provides dialogs to assist with common tasks and allows you to share your
 worksheets with others.
 .
 This package provides the backend for using the R Project for Statistical
 Computing (http://www.r-project.org) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-sage
Architecture: any
Section: math
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: sagemath
Description: Sage backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant KDE-integrated worksheet interface. It
 provides dialogs to assist with common tasks and allows you to share your
 worksheets with others.
 .
 This package provides the backend for using the Sage Mathematics Software
 (http://www.sagemath.org) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${misc:Depends}, cantor (= ${binary:Version})
Breaks: kdeedu-dbg (<< 4:4.6.80)
Replaces: kdeedu-dbg (<< 4:4.6.80)
Description: debugging symbols for cantor
 This package contains debugging files used to investigate problems with
 binaries included in cantor.

## cantor 4.7.4

=== debian/changelog ===
cantor (4:4.7.4-1) experimental; urgency=low

  * New upstream release. 
  
  [ José Manuel Santamaría Lema ]
  * Bump kde-sc-dev-latest build dependency to 4:4.7.4.
  * Remove add_find_analitza_cmake.diff, applied upstream.

  [ Pino Toscano ]
  * cantor-backend-sage: demote sagemath to suggest (as it is not in Debian);
    add notes in the description and in a new README.Debian about the need
    of installing Sage manually. (Closes: #651825)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 18 Dec 2011 01:39:29 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: José Manuel Santamaría Lema <panfaust@gmail.com>
-Build-Depends: kde-sc-dev-latest (>= 4:4.7.2),
+Build-Depends: kde-sc-dev-latest (>= 4:4.7.4),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
  kdelibs5-dev (>= 4:4.7),
  pkg-config,
@@ -105,7 +105,7 @@
 Architecture: any
 Section: math
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: sagemath
+Suggests: sagemath
 Description: Sage backend for Cantor
  Cantor is an application to allow you to you use your favorite mathematical
  applications from within an elegant KDE-integrated worksheet interface. It
@@ -114,6 +114,9 @@
  .
  This package provides the backend for using the Sage Mathematics Software
  (http://www.sagemath.org) in Cantor.
+ .
+ Please note that sagemath is not available in Debian, so you need to manually
+ install it for this package to work.
  .
  This package is part of the KDE education module.

## cantor 4.7.90

=== debian/changelog ===
cantor (4:4.7.90-0ubuntu1) precise; urgency=low

  * new upstream beta release
  * Add build-dep on libqalculate-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 15 Dec 2011 14:17:54 +0000

cantor (4:4.7.3-0ubuntu1) precise; urgency=low

  [ Jonathan Riddell ]
  * Merge with Debian git
  * This package demoted to now in universe so we can now build-dep on R

  [ Philip Muškovac ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 23 Nov 2011 23:46:54 +0000

cantor (4:4.7.2-0r2) UNRELEASED; urgency=low

  * Initial release. Start from the Ubuntu packaging, thanks!

  [ Pino Toscano ]
  * cantor: recommend texlive-latex-base and texlive-binaries for the
    `latex` and `dvips` commands, used to pretty-print formulas.
    (Closes: #601296)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 18 Oct 2011 01:02:36 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,20 @@
 Source: cantor
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: José Manuel Santamaría Lema <panfaust@gmail.com>
-Build-Depends: kde-sc-dev-latest (>= 4:4.7.4),
+Build-Depends: kde-sc-dev-latest (>= 4:4.7.2),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
  kdelibs5-dev (>= 4:4.7),
  pkg-config,
  libspectre-dev,
- kalgebra-dev,
+ analitza-dev,
  r-base-core,
  libblas3gf,
- liblapack3gf
+ liblapack3gf,
+ libqalculate-dev,
+ libglib2.0-dev
 Standards-Version: 3.9.2
 Homepage: http://edu.kde.org/
 Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/cantor.git
@@ -23,7 +26,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: cantor-backend-kalgebra, texlive-latex-base, texlive-binaries
 Suggests: cantor-backend-maxima, cantor-backend-r, cantor-backend-sage,
- cantor-backend-octave
+ cantor-backend-octave, cantor-backend-qalculate, cantor-backend-scilab
 Description: interface for mathematical applications
  Cantor is an application to allow you to you use your favorite mathematical
  applications from within an elegant KDE-integrated worksheet interface. It
@@ -105,7 +108,7 @@
 Architecture: any
 Section: math
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Suggests: sagemath
+Recommends: sagemath
 Description: Sage backend for Cantor
  Cantor is an application to allow you to you use your favorite mathematical
  applications from within an elegant KDE-integrated worksheet interface. It
@@ -115,8 +118,34 @@
  This package provides the backend for using the Sage Mathematics Software
  (http://www.sagemath.org) in Cantor.
  .
- Please note that sagemath is not available in Debian, so you need to manually
- install it for this package to work.
+ This package is part of the KDE education module.
+
+Package: cantor-backend-scilab
+Architecture: any
+Section: math
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends: scilab
+Description: Scilab backend for Cantor
+ Cantor is an application to allow you to you use your favorite mathematical
+ applications from within an elegant KDE-integrated worksheet interface. It
+ provides dialogs to assist with common tasks and allows you to share your
+ worksheets with others.
+ .
+ This package provides the backend for using Sci Lab in Cantor.
+ .
+ This package is part of the KDE education module.
+
+Package: cantor-backend-qalculate
+Architecture: any
+Section: math
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: Qalculate backend for Cantor
+ Cantor is an application to allow you to you use your favorite mathematical
+ applications from within an elegant KDE-integrated worksheet interface. It
+ provides dialogs to assist with common tasks and allows you to share your
+ worksheets with others.
+ .
+ This package provides the backend for using Qalculate in Cantor.
  .
  This package is part of the KDE education module.

## cantor 4.7.95

=== debian/changelog ===
cantor (4:4.7.95-0ubuntu1) precise; urgency=low

  * New upstream release candidate
    - update description for cantor
    - update cantor-backend-qalculate.install and
      cantor-backend-scilab.install

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 24 Dec 2011 18:23:24 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: José Manuel Santamaría Lema <panfaust@gmail.com>
-Build-Depends: kde-sc-dev-latest (>= 4:4.7.2),
+Build-Depends: kde-sc-dev-latest (>= 4:4.7.95),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
  kdelibs5-dev (>= 4:4.7),
  pkg-config,
@@ -40,6 +40,8 @@
   * R Project for Statistical Computing (cantor-backend-r)
   * Sage Mathematics Software (cantor-backend-sage)
   * Octave (cantor-backend-octave)
+  * Scilab (cantor-backend-scilab)
+  * Qalculate (cantor-backend-qalculate)
  .
  This package is part of the KDE education module.

## cantor 4.7.97

=== debian/changelog ===
cantor (4:4.7.97-0ubuntu1) precise; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 05 Jan 2012 12:18:22 +0000

## cantor 4.8.2

=== debian/changelog ===
cantor (4:4.8.2-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 01 Apr 2012 21:08:35 +0200

cantor (4:4.8.1-0ubuntu1) precise; urgency=low

  * New upstream release 

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 04 Mar 2012 19:36:21 +0100

cantor (4:4.8.0-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 20 Jan 2012 12:10:25 +0000

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: José Manuel Santamaría Lema <panfaust@gmail.com>
-Build-Depends: kde-sc-dev-latest (>= 4:4.7.95),
+Build-Depends: kde-sc-dev-latest (>= 4:4.8.2),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.7),
+ kdelibs5-dev (>= 4:4.8.1),
  pkg-config,
  libspectre-dev,
  analitza-dev,

## cantor 4.8.3

=== debian/changelog ===
cantor (4:4.8.3-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream release (LP: #1002336)

 -- Jonathan Kolberg <bulldog98@kubuntu.org>  Tue, 01 May 2012 00:20:27 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: José Manuel Santamaría Lema <panfaust@gmail.com>
-Build-Depends: kde-sc-dev-latest (>= 4:4.8.2),
+Build-Depends: kde-sc-dev-latest (>= 4:4.8.3),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
  kdelibs5-dev (>= 4:4.8.1),
  pkg-config,

## cantor 4.8.4

=== debian/changelog ===
cantor (4:4.8.4-2) unstable; urgency=low

  [ José Manuel Santamaría Lema ]
  * Architecture for cantor-backend-scilab changed from 'any' to 
    'i386 amd64'.

  [ Sune Vuorela ]
  * Adapt some descriptions

 -- Sune Vuorela <sune@debian.org>  Fri, 22 Jun 2012 09:04:26 +0200

cantor (4:4.8.4-1) experimental; urgency=low

  * Team upload. Upload to experimental.
  * New upstream release. 

  [ José Manuel Santamaría Lema ]
  * Bump kde-sc-dev-latest build dependency to 4:4.8.4.
  * Bump kdelibs5-dev build dependency to 4:4.8.
  * Build depend on libanalitza-dev instead of kalgebra-dev.
  * Build depend on libqalculate-dev and libglib2.0-dev, needed to build the
    qalculate backend.
  * Update installed files.
  * Add new backends:
    - cantor-backend-qalculate
    - cantor-backend-scilab
  * Remove upstream_Qualify-which-setupUi-is-being-called.patch, applied
    upstream.
  * Add watch file.
  * Update copyright file.
  * Update lintian overrides.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 17 Jun 2012 16:55:31 -0300

cantor (4:4.7.4-3) unstable; urgency=low

  * Team upload.
  * Backport upstream commit 56040ac851dc9180ae51c0e5041984abef54e7f2 to fix
    building with GCC 4.7; patch
    upstream_Qualify-which-setupUi-is-being-called.patch. (Closes: #667127)
  * Bump Standards-Version to 3.9.3, no changes required.
  * Add "standard footer" to the description of cantor-dbg to not have it
    considered as too short.

 -- Pino Toscano <pino@debian.org>  Tue, 22 May 2012 11:32:34 +0200

cantor (4:4.7.4-2) unstable; urgency=low

  * Team upload. Upload to unstable.

 -- Pino Toscano <pino@debian.org>  Wed, 07 Mar 2012 18:48:42 +0100

=== debian/control ===
Source: cantor
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: José Manuel Santamaría Lema <panfaust@gmail.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.8.4),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.8), libanalitza-dev (>= 4:4.8),
 pkg-config,
 libspectre-dev,
 r-base-core,
 libblas3gf,
 liblapack3gf,
 libqalculate-dev, libglib2.0-dev
Standards-Version: 3.9.3
Homepage: http://edu.kde.org/
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/cantor.git
Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/cantor.git

Package: cantor
Architecture: any
Section: math
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: cantor-backend-kalgebra, texlive-latex-base, texlive-binaries
Suggests: cantor-backend-maxima, cantor-backend-r, cantor-backend-sage,
 cantor-backend-octave, cantor-backend-qalculate,
 cantor-backend-scilab [i386 amd64]
Description: interface for mathematical applications
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It  provides dialogs 
 to assist with common tasks and allows you to share your worksheets 
 with others.
 .
 Cantor supports various mathematical applications as backends (provided in
 external packages):
  * KAlgebra (cantor-backend-kalgebra)
  * Maxima Computer Algebra System (cantor-backend-maxima)
  * R Project for Statistical Computing (cantor-backend-r)
  * Sage Mathematics Software (cantor-backend-sage)
  * Octave (cantor-backend-octave)
  * Scilab (cantor-backend-scilab)
  * Qalculate! (cantor-backend-qalculate)
 .
 This package is part of the KDE education module.

Package: cantor-backend-kalgebra
Architecture: any
Section: math
Depends: ${shlibs:Depends}, ${misc:Depends}, kalgebra
Description: KAlgebra backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It  provides dialogs 
 to assist with common tasks and allows you to share your worksheets 
 with others.
 .
 This package provides the backend for using KAlgebra
 (http://edu.kde.org/kalgebra) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-maxima
Architecture: any
Section: math
Depends: ${shlibs:Depends}, ${misc:Depends}, maxima
Description: Maxima backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It  provides dialogs 
 to assist with common tasks and allows you to share your worksheets 
 with others.
 .
 This package provides the backend for using the Maxima Computer Algebra System
 (http://maxima.sourceforge.net) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-octave
Architecture: any
Section: math
Depends: ${shlibs:Depends}, ${misc:Depends}, octave
Description: Octave backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It  provides dialogs 
 to assist with common tasks and allows you to share your worksheets 
 with others.
 .
 This package provides the backend for using the GNU Octave language for
 numerical computations (http://www.octave.org/) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-qalculate
Architecture: any
Section: math
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Qalculate! backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It  provides dialogs 
 to assist with common tasks and allows you to share your worksheets 
 with others.
 .
 This package provides the backend for using the Qalculate! calculator
 (http://qalculate.sourceforge.net/) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-r
Architecture: any
Section: math
Depends: ${shlibs:Depends}, ${misc:Depends}, r-base-core
Suggests: r-base-html
Description: R backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It  provides dialogs 
 to assist with common tasks and allows you to share your worksheets 
 with others.
 .
 This package provides the backend for using the R Project for Statistical
 Computing (http://www.r-project.org) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-sage
Architecture: any
Section: math
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: sagemath
Description: Sage backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It  provides dialogs 
 to assist with common tasks and allows you to share your worksheets 
 with others.
 .
 This package provides the backend for using the Sage Mathematics Software
 (http://www.sagemath.org) in Cantor.
 .
 Please note that sagemath is not available in Debian, so you need to manually
 install it for this package to work.
 .
 This package is part of the KDE education module.

Package: cantor-backend-scilab
Architecture: i386 amd64
Section: math
Depends: ${shlibs:Depends}, ${misc:Depends}, scilab-cli
Description: Scilab backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant worksheet interface. It  provides dialogs 
 to assist with common tasks and allows you to share your worksheets 
 with others.
 .
 This package provides the backend for using the Scilab scientific software
 package for numerical computations (http://www.scilab.org) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${misc:Depends}, cantor (= ${binary:Version})
Breaks: kdeedu-dbg (<< 4:4.6.80)
Replaces: kdeedu-dbg (<< 4:4.6.80)
Description: debugging symbols for cantor
 This package contains debugging files used to investigate problems with
 binaries included in cantor.
 .
 This package is part of the KDE education module.

## cantor 4.8.5

=== debian/changelog ===
cantor (4:4.8.5-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream bugfix release (LP: #1047417)

 -- Scott Kitterman <scott@kitterman.com>  Fri, 07 Sep 2012 16:38:09 +0200

cantor (4:4.8.4-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream release. (LP: #1007798)

 -- Felix Geyer <debfx@ubuntu.com>  Sat, 23 Jun 2012 22:31:54 +0200

=== debian/control ===
Source: cantor
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: José Manuel Santamaría Lema <panfaust@gmail.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.8.5),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.8.1),
 pkg-config,
 libspectre-dev,
 analitza-dev,
 r-base-core,
 libblas3gf,
 liblapack3gf,
 libqalculate-dev,
 libglib2.0-dev
Standards-Version: 3.9.2
Homepage: http://edu.kde.org/
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/cantor.git
Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/cantor.git

Package: cantor
Architecture: any
Section: math
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: cantor-backend-kalgebra, texlive-latex-base, texlive-binaries
Suggests: cantor-backend-maxima, cantor-backend-r, cantor-backend-sage,
 cantor-backend-octave, cantor-backend-qalculate, cantor-backend-scilab
Description: interface for mathematical applications
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant KDE-integrated worksheet interface. It
 provides dialogs to assist with common tasks and allows you to share your
 worksheets with others.
 .
 Cantor supports various mathematical applications as backends (provided in
 external packages):
  * KAlgebra (cantor-backend-kalgebra)
  * Maxima Computer Algebra System (cantor-backend-maxima)
  * R Project for Statistical Computing (cantor-backend-r)
  * Sage Mathematics Software (cantor-backend-sage)
  * Octave (cantor-backend-octave)
  * Scilab (cantor-backend-scilab)
  * Qalculate (cantor-backend-qalculate)
 .
 This package is part of the KDE education module.

Package: cantor-backend-kalgebra
Architecture: any
Section: math
Depends: ${shlibs:Depends}, ${misc:Depends}, kalgebra
Description: KAlgebra backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant KDE-integrated worksheet interface. It
 provides dialogs to assist with common tasks and allows you to share your
 worksheets with others.
 .
 This package provides the backend for using KAlgebra
 (http://edu.kde.org/kalgebra) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-maxima
Architecture: any
Section: math
Depends: ${shlibs:Depends}, ${misc:Depends}, maxima
Description: Maxima backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant KDE-integrated worksheet interface. It
 provides dialogs to assist with common tasks and allows you to share your
 worksheets with others.
 .
 This package provides the backend for using the Maxima Computer Algebra System
 (http://maxima.sourceforge.net) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-octave
Architecture: any
Section: math
Depends: ${shlibs:Depends}, ${misc:Depends}, octave
Description: Octave backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant KDE-integrated worksheet interface. It
 provides dialogs to assist with common tasks and allows you to share your
 worksheets with others.
 .
 This package provides the backend for using the GNU Octave language for
 numerical computations (http://www.octave.org/) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-r
Architecture: any
Section: math
Depends: ${shlibs:Depends}, ${misc:Depends}, r-base-core
Suggests: r-base-html
Description: R backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant KDE-integrated worksheet interface. It
 provides dialogs to assist with common tasks and allows you to share your
 worksheets with others.
 .
 This package provides the backend for using the R Project for Statistical
 Computing (http://www.r-project.org) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-sage
Architecture: any
Section: math
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: sagemath
Description: Sage backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant KDE-integrated worksheet interface. It
 provides dialogs to assist with common tasks and allows you to share your
 worksheets with others.
 .
 This package provides the backend for using the Sage Mathematics Software
 (http://www.sagemath.org) in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-scilab
Architecture: any
Section: math
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: scilab
Description: Scilab backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant KDE-integrated worksheet interface. It
 provides dialogs to assist with common tasks and allows you to share your
 worksheets with others.
 .
 This package provides the backend for using Sci Lab in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-backend-qalculate
Architecture: any
Section: math
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Qalculate backend for Cantor
 Cantor is an application to allow you to you use your favorite mathematical
 applications from within an elegant KDE-integrated worksheet interface. It
 provides dialogs to assist with common tasks and allows you to share your
 worksheets with others.
 .
 This package provides the backend for using Qalculate in Cantor.
 .
 This package is part of the KDE education module.

Package: cantor-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${misc:Depends}, cantor (= ${binary:Version})
Breaks: kdeedu-dbg (<< 4:4.6.80)
Replaces: kdeedu-dbg (<< 4:4.6.80)
Description: debugging symbols for cantor
 This package contains debugging files used to investigate problems with
 binaries included in cantor.

## cantor 4.8.80

=== debian/changelog ===
cantor (4:4.8.80-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 06 Jun 2012 13:33:37 +0100

cantor (4:4.8.3-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Jonathan Kolberg <bulldog98@kubuntu.org>  Sun, 20 May 2012 22:07:01 +0200

## cantor 4.8.90

=== debian/changelog ===
cantor (4:4.8.90-0ubuntu1) quantal; urgency=low

  * New upstream beta release.

 -- Felix Geyer <debfx@ubuntu.com>  Mon, 11 Jun 2012 21:59:28 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: José Manuel Santamaría Lema <panfaust@gmail.com>
-Build-Depends: kde-sc-dev-latest (>= 4:4.8.5),
+Build-Depends: kde-sc-dev-latest (>= 4:4.8.90),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
  kdelibs5-dev (>= 4:4.8.1),
  pkg-config,

## cantor 4.9.2

=== src/assistants/integrate/CMakeLists.txt ===
set( IntegrateAssistant_SRCS 
     integrateassistant.cpp
)

kde4_add_ui_files(IntegrateAssistant_SRCS integratedlg.ui)

kde4_add_plugin( cantor_integrateassistant ${IntegrateAssistant_SRCS} )
target_link_libraries( cantor_integrateassistant ${KDE4_KDEUI_LIBS} cantorlibs)

install( FILES integrateassistant.desktop  DESTINATION ${SERVICES_INSTALL_DIR}/cantor)
install( FILES cantor_integrate_assistant.rc  DESTINATION  ${DATA_INSTALL_DIR}/cantor )
install(TARGETS cantor_integrateassistant DESTINATION ${PLUGIN_INSTALL_DIR})

=== src/backends/qalculate/CMakeLists.txt ===
add_subdirectory(plotassistant)
project(cantor-qalculate-backend)

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS} -Wno-deprecated")
add_definitions(${QALCULATE_CFLAGS})

set( QalculateBackend_SRCS
qalculatesyntaxhelpobject.cpp
qalculatebackend.cpp
qalculatesession.cpp
qalculatehighlighter.cpp
qalculateexpression.cpp
qalculateextensions.cpp
qalculatecompletionobject.cpp
qalculateextensions.cpp
settingswidget.cpp
)

kde4_add_kcfg_files(QalculateBackend_SRCS settings.kcfgc)
install(FILES qalculatebackend.kcfg DESTINATION ${KCFG_INSTALL_DIR})

kde4_add_ui_files(QalculateBackend_SRCS settings.ui)

kde4_add_plugin( cantor_qalculatebackend ${QalculateBackend_SRCS} )
message(STATUS ${CLN_LIBRARIES})
target_link_libraries( cantor_qalculatebackend ${KDE4_KDEUI_LIBS} cantorlibs ${QALCULATE_LIBRARIES} ${CLN_LIBRARIES})

install( FILES qalculatebackend.desktop DESTINATION ${SERVICES_INSTALL_DIR}/cantor)
install(TARGETS cantor_qalculatebackend DESTINATION ${PLUGIN_INSTALL_DIR})

=== debian/changelog ===
cantor (4:4.9.2-0ubuntu1) quantal-proposed; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 02 Oct 2012 15:08:54 +0100

cantor (4:4.9.1-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 10 Sep 2012 18:14:30 +0530

cantor (4:4.9.0-0ubuntu1) quantal; urgency=low

  * Use direct build-depends versions rather than kde-sc-dev-latest
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 26 Jul 2012 16:58:00 +0100

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: José Manuel Santamaría Lema <panfaust@gmail.com>
-Build-Depends: kde-sc-dev-latest (>= 4:4.8.90),
+Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.8.1),
+ kdelibs5-dev (>= 4:4.9.2),
  pkg-config,
  libspectre-dev,
  analitza-dev,

## cantor 4.9.3

=== debian/changelog ===
cantor (4:4.9.3-0ubuntu0.1) quantal-proposed; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 29 Nov 2012 23:30:49 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: José Manuel Santamaría Lema <panfaust@gmail.com>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.9.2),
+ kdelibs5-dev (>= 4:4.9.3),
  pkg-config,
  libspectre-dev,
  analitza-dev,

## cantor 4.9.5

=== debian/changelog ===
cantor (4:4.9.5-0ubuntu0.1) quantal; urgency=low

  * New upstream bugfix release (LP: #1094523)

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 30 Dec 2012 21:18:39 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: José Manuel Santamaría Lema <panfaust@gmail.com>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.9.3),
+ kdelibs5-dev (>= 4:4.9.5),
  pkg-config,
  libspectre-dev,
  analitza-dev,

## cantor 4.9.90

=== debian/changelog ===
cantor (4:4.9.90-0ubuntu1) raring-proposed; urgency=low

  * New upstream beta release
    - Drop qreal_double_fix.diff, applied upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2012 17:33:59 +0000

cantor (4:4.9.80-0ubuntu3) raring; urgency=low

  * Add debian/patches/qreal_double_fix.diff to fix FTBFS on armfh
    - Thanks to Jonathan Thomas for assisting

 -- Scott Kitterman <scott@kitterman.com>  Wed, 28 Nov 2012 15:24:40 -0500

cantor (4:4.9.80-0ubuntu2) raring; urgency=low

  * Bump required version of analitza-dev build-dep to 4:4.9.80 since the
    newer version is required to build

 -- Scott Kitterman <scott@kitterman.com>  Thu, 22 Nov 2012 19:32:22 -0500

cantor (4:4.9.80-0ubuntu1) raring; urgency=low

  [ Jonathan Riddell ]
  * New upstream beta release
  * Update .install files

  [ Scott Kitterman ]
  * Add Kubuntu Vcs-* header fields

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 19 Nov 2012 15:41:26 +0000

cantor (4:4.9.3-0ubuntu1) raring; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 06 Nov 2012 22:20:23 +0100

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
 Uploaders: José Manuel Santamaría Lema <panfaust@gmail.com>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.9.5),
+ kdelibs5-dev (>= 4:4.9.90),
  pkg-config,
  libspectre-dev,
- analitza-dev,
+ analitza-dev (>= 4:4.9.80),
  r-base-core,
  libblas3gf,
  liblapack3gf,
@@ -17,8 +17,10 @@
  libglib2.0-dev
 Standards-Version: 3.9.2
 Homepage: http://edu.kde.org/
-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/cantor.git
-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/cantor.git
+Vcs-Bzr: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/cantor
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/cantor
+X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/cantor.git
+X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/cantor.git
 
 Package: cantor
 Architecture: any

## cantor 4.9.95

=== debian/changelog ===
cantor (4:4.9.95-0ubuntu1) raring; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2012 23:13:40 +0000

cantor (4:4.7.2-0r2) raring; urgency=low

  * Initial release. Start from the Ubuntu packaging, thanks!

  [ Pino Toscano ]
  * cantor: recommend texlive-latex-base and texlive-binaries for the
    `latex` and `dvips` commands, used to pretty-print formulas.
    (Closes: #601296)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 18 Oct 2011 01:02:36 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: José Manuel Santamaría Lema <panfaust@gmail.com>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.9.90),
+ kdelibs5-dev (>= 4:4.9.95),
  pkg-config,
  libspectre-dev,
  analitza-dev (>= 4:4.9.80),

## cantor 4.9.97

=== debian/changelog ===
cantor (4:4.9.97-0ubuntu1) raring; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 22:22:26 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: José Manuel Santamaría Lema <panfaust@gmail.com>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.9.95),
+ kdelibs5-dev (>= 4:4.9.97),
  pkg-config,
  libspectre-dev,
  analitza-dev (>= 4:4.9.80),

## cantor 4.9.98

=== debian/changelog ===
cantor (4:4.9.98-0ubuntu1) raring-proposed; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jan 2013 14:53:44 +0000

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
 Uploaders: José Manuel Santamaría Lema <panfaust@gmail.com>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.9.97),
+ kdelibs5-dev (>= 4:4.9.98),
  pkg-config,
  libspectre-dev,
- analitza-dev (>= 4:4.9.80),
+ analitza-dev (>= 4:4.9.98),
  r-base-core,
  libblas3gf,
  liblapack3gf,

## cantor 4.10.0

=== debian/changelog ===
cantor (4:4.10.0-0ubuntu1) raring-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 06 Feb 2013 11:28:40 +0000

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
 Uploaders: José Manuel Santamaría Lema <panfaust@gmail.com>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.9.98),
+ kdelibs5-dev (>= 4:4.10.0),
  pkg-config,
  libspectre-dev,
- analitza-dev (>= 4:4.9.98),
+ analitza-dev (>= 4:4.10.0),
  r-base-core,
  libblas3gf,
  liblapack3gf,

## cantor 4.10.2

=== debian/changelog ===
cantor (4:4.10.2-0ubuntu1) raring; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 31 Mar 2013 14:34:18 +0200

cantor (4:4.10.1-0ubuntu1) raring-proposed; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 05 Mar 2013 15:10:32 +0000

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
 Uploaders: José Manuel Santamaría Lema <panfaust@gmail.com>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.10.0),
+ kdelibs5-dev (>= 4:4.10.2),
  pkg-config,
  libspectre-dev,
- analitza-dev (>= 4:4.10.0),
+ analitza-dev (>= 4:4.10.2),
  r-base-core,
  libblas3gf,
  liblapack3gf,

## cantor 4.10.4

=== src/backends/kalgebra/CMakeLists.txt ===
include_directories(${ANALITZA_INCLUDE_DIR})

set( KAlgebraBackend_SRCS
 kalgebrasyntaxhelpobject.cpp 
 kalgebrabackend.cpp  
 kalgebrasession.cpp
 kalgebraexpression.cpp
 kalgebracompletionobject.cpp
 kalgebraextensions.cpp
)

kde4_add_plugin( cantor_kalgebrabackend ${KAlgebraBackend_SRCS} )
target_link_libraries( cantor_kalgebrabackend ${KDE4_KDEUI_LIBS} cantorlibs ${ANALITZA_LIBS})

install( FILES kalgebrabackend.desktop  DESTINATION ${SERVICES_INSTALL_DIR}/cantor)
install(TARGETS cantor_kalgebrabackend DESTINATION ${PLUGIN_INSTALL_DIR})

## cantor 4.10.5

=== debian/changelog ===
cantor (4:4.10.5-0ubuntu0.1) raring; urgency=low

  * New upstream bugfix release (LP: #1196090)

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 10 Jul 2013 22:36:39 +0200

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
 Uploaders: José Manuel Santamaría Lema <panfaust@gmail.com>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.10.2),
+ kdelibs5-dev (>= 4:4.10.5),
  pkg-config,
  libspectre-dev,
- analitza-dev (>= 4:4.10.2),
+ analitza-dev (>= 4:4.10.4),
  r-base-core,
  libblas3gf,
  liblapack3gf,
